aboutsummaryrefslogtreecommitdiff
path: root/desktop/oroborus/oroborus.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/oroborus/oroborus.SlackBuild')
-rw-r--r--desktop/oroborus/oroborus.SlackBuild70
1 files changed, 70 insertions, 0 deletions
diff --git a/desktop/oroborus/oroborus.SlackBuild b/desktop/oroborus/oroborus.SlackBuild
new file mode 100644
index 000000000000..0ccccbf41373
--- /dev/null
+++ b/desktop/oroborus/oroborus.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+######################################
+# Slackware Build Script #
+######################################
+# BUILDS: Oroborus #
+# HOME: http://www.oroborus.org/ #
+# AUTHOR: Lehman Black #
+# CONTACT: bzqwerty[at]gmail[dot]com #
+######################################
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=oroborus
+VERSION=2.0.18
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP || exit 1
+tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README AUTHORS COPYING ChangeLog INSTALL NEWS TODO example.oroborusrc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Let's add an xinitrc file so it will show up in xwmconfig's list of choices
+install -D -m 0755 $CWD/xinitrc.oroborus $PKG/etc/X11/xinit/xinitrc.oroborus
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz